const webpack = require('webpack');
const currentConfig = require('./webpack/webpack.dev.config');
const merge = require("webpack-merge");
let config = {},
  importConfig = {};
  
import Builder from "./build/index.js";
let build = new Builder();

function getConfig(options, env) {
  return options.devkit.commands[env].options;
}

module.exports = (ctx) => {
    importConfig = getConfig(ctx.projectConfig, "dev");
    config = merge(currentConfig, build.createDevConfig(importConfig));
    // console.log(config);
    webpack(config, (err, stats) => {
      if (err) {
        console.log(err);
      }
      console.log(
        stats.toString({
          chunks: false,
          colors: true,
          children: false
        })
      );
    });
};
